libmono depends on old version of mono-runtime in maverick daily

Bug #601437 reported by Guntbert Reiter on 2010-07-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mono (Ubuntu)
Low
Unassigned
Declined for Maverick by Sebastien Bacher

Bug Description

Binary package hint: mono

installation of maverick daily alternate fails during software installation, reason:

libmono-....-cis depend on mono-runtime ( <2.4.4...) but 2.6.3.... is to be installed
mono-runtime depends on mono-gac ( =2.6.3...) but it is not installable

Dave Crossland (davelab6) wrote :

This is a big problem because it effects GNOME DO!

$ sudo aptitude install gnome-do
The following NEW packages will be installed:
  gnome-do gnome-do-docklets{a} gnome-do-plugins{a} libgdata1.4-cil{a}
  libgnomedesktop2.20-cil{a} libmono-system-runtime2.0-cil{a}
  libnotify0.4-cil{a} libnunit2.4-cil{a} librsvg2-2.18-cil{a}
  libwnck2.20-cil{a}
The following packages will be upgraded:
  libmono-corlib2.0-cil libmono-system2.0-cil mono-2.0-gac mono-gac
  mono-runtime
5 packages upgraded, 10 newly installed, 0 to remove and 38 not upgraded.
Need to get 8,470kB of archives. After unpacking 10.6MB will be used.
The following packages have unmet dependencies:
  libmono-system-web2.0-cil: Depends: mono-runtime (< 2.4.4~svn151843) but 2.6.3-4ubuntu1 is to be installed.
The following actions will resolve these dependencies:

      Remove the following packages:
1) f-spot
2) libflickrnet2.2-cil
3) libmono-system-web2.0-cil
4) libmono2.0-cil

      Keep the following packages at their current version:
5) gnome-do [Not Installed]
6) gnome-do-docklets [Not Installed]
7) gnome-do-plugins [Not Installed]
8) libgdata1.4-cil [Not Installed]
9) libmono-system-runtime2.0-cil [Not Installed]
10) libnunit2.4-cil [Not Installed]

      Leave the following dependencies unresolved:
11) ubuntu-desktop recommends f-spot

Accept this solution? [Y/n/q/?]
$

Sebastien Bacher (seb128) wrote :

is that still an issue?

Changed in mono (Ubuntu):
importance: Undecided → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers